<app-header></app-header>
<div class="container-fluid topPaddingByHeader emp-profile">
    <div class="row">
        <div class="col-md-12">
            <h3 class="text-center">MY PROFILE</h3>
        </div>


        <div class="col-md-8 mt-20">
            <div class="profile-head">
                <h5>
                    Fullname : {{ userData.fullname }}
                </h5>
                <h6>
                   Email ID : {{ userData.emailId }}
                </h6>
                <ul class="nav nav-tabs" id="myTab" role="tablist">
                    <li class="nav-item">
                        <a class="nav-link active" id="home-tab" data-toggle="tab" href="#home" role="tab" aria-controls="home" aria-selected="true">About</a>
                    </li>

                </ul>
            </div>
        </div>
        <div class="col-md-4">
            <input type="submit" class="profile-edit-btn" name="btnAddMore" data-toggle="modal" data-target="#changePassword" value="Change Password"
            />
        </div>
    </div>
    <div class="row">

        <div class="col-md-7">
            <div class="tab-content profile-tab" id="myTabContent">
                <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
                    <div class="row">
                        <div class="col-md-6">
                            <label>User name</label>
                        </div>
                        <div class="col-md-6">
                            <p>{{ userData.username }}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label>Name</label>
                        </div>
                        <div class="col-md-6">
                            <p>{{ userData.fullname }} </p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label>Email</label>
                        </div>
                        <div class="col-md-6">
                            <p>{{ userData.emailId }}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label>Mobile</label>
                        </div>
                        <div class="col-md-6">
                            <p>{{ userData.mobile }}</p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <label>Address</label>
                        </div>
                        <div class="col-md-6">
                            <p>{{ userData.address }}</p>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>
</div>


<div class="modal fade" id="changePassword" tabindex="-1" role="dialog" aria-labelledby="change-pwd" aria-hidden="true">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title" id="change-pwd">Change Password</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
              
                    <div class="row">
                        <div class="col-md-12">
                                <div style="color: green;font-weight:600;text-align:center;margin-bottom:10px">{{ successMsg }}</div>
                        </div>
                        <div class="col-md-12">
                                <div class="example-container">
                                    <mat-form-field>
                                        <input matInput placeholder="Old Password" name="oldpassword" [(ngModel)]="oldpassword"
                                            [type]="hide ? 'password' : 'text'">
                                            <button class="btn-eye" mat-icon-button matSuffix (click)="hide = !hide"
                                            [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                                            <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                                        </button>
                                    </mat-form-field>
                                </div>
                        </div>
                        <div class="col-md-12">
                                <div class="example-container">
                                    <mat-form-field>
                                        <input matInput placeholder="New Password" name="newpassword" [(ngModel)]="newpassword"
                                            [type]="hide ? 'password' : 'text'">
                                            <button class="btn-eye" mat-icon-button matSuffix (click)="hide = !hide"
                                            [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                                            <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                                        </button>
                                    </mat-form-field>
                                </div>
                        </div>
                        <div class="col-md-12">
                                <div class="example-container">
                                    <mat-form-field>
                                        <input matInput placeholder="Confirm Password" name="confirmpassword" [(ngModel)]="confirmpassword"
                                            [type]="hide ? 'password' : 'text'">
                                            <button class="btn-eye" mat-icon-button matSuffix (click)="hide = !hide"
                                            [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide">
                                            <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                                        </button>
                                    </mat-form-field>
                                </div>
                        </div>
                    </div>
            </div>
            <div class="modal-footer ">
                <div class="row">
                        <div class="col-md-6">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                            </div>
                            <div class="col-md-6">
                                  <button type="button" (click)="changePwd()" class="btn btn-primary">Submit</button>
                            </div>
                </div>
               
            </div>
          </div>
        </div>
      </div>
